
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>[HDU][线段树]1754.I Hate It / iVAN</title>

    <meta name="description" content="[HDU][线段树]1754.I Hate It 思路: 利用线段树实现,具体参考:[算法系列之二十三]线段树(Interval Tree) 代码 /*--------------------------------------------- * 日期:2015-03-24 * 作者:SJF0115 * 题目: 1754.I Hate It * 来源:HDU * 网址:http://acm.hdu.edu.cn/showproblem.php?pid=1754 * 结果:AC * 博客: ----------------------------">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">[HDU][线段树]1754.I Hate It</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTAzMjQxODE5MTU5NDA=.jpg"></p>
<p>思路：</p>
<p>利用线段树实现，具体参考：<a href="http://blog.csdn.net/sunnyyoona/article/details/43936769" rel="external nofollow noreferrer">[算法系列之二十三]线段树（Interval Tree）</a></p>
<p><strong>代码</strong></p>
<pre><code>/*---------------------------------------------
*   日期：2015-03-24
*   作者：SJF0115
*   题目: 1754.I Hate It
*   来源：HDU
*   网址：http://acm.hdu.edu.cn/showproblem.php?pid=1754
*   结果：AC
*   博客：
-----------------------------------------------*/
#include &lt;iostream&gt;
#include &lt;cstdio&gt;
#include &lt;algorithm&gt;
using namespace std;

#define Max 200001

struct IntervalTreeNode{
    int left,right,mid;
    int weight;
};

IntervalTreeNode interval[3*Max];

// 把当前结点的信息更新到父结点
void PushUp(int num){
    // 左右子节点的最大值作为父节点的值
    interval[num].weight = max(interval[2*num].weight,interval[2*num+1].weight);
}

// 创建线段树
void Create(int left,int right,int num,int w[]){
    interval[num].left = left;
    interval[num].right = right;
    interval[num].mid = left + (right - left) / 2;
    // 叶子节点
    if(left == right){
        interval[num].weight = w[left-1];
        return;
    }//if
    Create(left,interval[num].mid,2*num,w);
    Create(interval[num].mid+1,right,2*num+1,w);
    // 把当前结点的信息更新到父结点
    PushUp(num);
}
// 表示第pos个学生的成绩改为score
void Update(int pos,int score,int left,int right,int num){
    // 叶子节点
    if(left == right){
        interval[num].weight = score;
        return;
    }//if
    // 左子区间
    int mid = interval[num].mid;
    if(pos &lt;= mid){
        Update(pos,score,left,mid,2*num);
    }//if
    // 右子区间
    else{
        Update(pos,score,mid+1,right,2*num+1);
    }
    // 子节点修改同时修改父节点
    PushUp(num);
}
// 查询区间[start,end]
int Query(int left,int right,int num){
    if(interval[num].left == left &amp;&amp; interval[num].right == right){
        return interval[num].weight;
    }//if
    if(right &lt;= interval[num].mid){
        return Query(left,right,2*num);
    }//if
    else if(left &gt; interval[num].mid){
        return Query(left,right,2*num+1);
    }//if
    else{
        return max(Query(left,interval[num].mid,2*num),Query(interval[num].mid+1,right,2*num+1));
    }//else
}

int main(){
    int N,M,a,b;
    char op[2];
    int score[Max];
    while(scanf("%d %d",&amp;N,&amp;M) != EOF){
        // 学生
        for(int i = 0;i &lt; N;++i){
            scanf("%d",&amp;score[i]);
        }//for
        // 创建线段树
        Create(1,N,1,score);
        // 操作
        for(int i = 0;i &lt; M;++i){
            scanf("%s %d %d",op,&amp;a,&amp;b);
            if(op[0] == 'Q'){
                cout&lt;&lt;Query(a,b,1)&lt;&lt;endl;
            }//if
            else if(op[0] == 'U'){
                Update(a,b,1,N,1);
            }//if
        }
    }//while
    return 0;
}
</code></pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 08:07:11</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>[HDU][线段树]1754.I Hate It的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrWJjWp.html" rel="bookmark">&lbrack;HDU&rsqb;&lbrack;线段树&rsqb;1166&period;敌兵布阵</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Problem Description C国的死对头A国这段时间正在进行军事演习,所以C国间谍头子Derek和他手下Tidy又开始忙乎了.A国在海岸线沿直线布置了N个工兵营地,Derek和Tidy的任务就是要监视这些工兵营地的活动情况.由于采取了某种先进的监测手段,所以每个工兵营地的人数C国都掌握的一清二楚,每个工兵营地的人数都有可能发生变动,可能增加或减少若干人手,但这些都逃不过C国的监视. 中央情报局要研究敌人究竟演习什么战术,所以Tidy要随时向Derek汇报某一段连续的工兵营地一共有多少			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrWdrVp.html" rel="bookmark">&lbrack;算法系列之二十三&rsqb;线段树（Interval Tree）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一 背景 在信息学竞赛中,我们经常会碰到一些跟区间有关的问题,比如给一些区 间线段求并区间的长度,或者并区间的个数等等.这些问题的描述都非常简单,但是通常情况下数据范围会非常大,而朴素方法的时间复杂度过高,导致不能在规定时间内得到问题的解.这时,我们需要一种高效的数据结构来处理这样的问题,在本文中,我们介绍一种基于分治思想的数据结构--线段树. 二 简介 线段树是一种二叉树形结构,属于平衡树的一种.它将线段区间组织成树形的结构,并用每个节点来表示一条线段.一棵[1,10)的线段树的结构如图1.1			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/badGawz.html" rel="bookmark">hdu 4614 Vases and Flowers 线段树</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				    比赛最后40分钟写的,线段树加二分,思路写法完全没问题,但最后提交了2次都WA了,回来后发现是模板更新lazy把0当做更新过的了,但是应该是1 /* author:jxy lang:C/C++ university:China,Xidian University **If you need to reprint,please indicate the source** */ #include &lt;iostream&gt; #include &lt;cstdio&gt; #include &lt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bam6ZQb.html" rel="bookmark">HDU 1698 线段树成段更新</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题意:线段树成段更新,最后查询全区间. #include &lt;iostream&gt; #include&lt;cstdio&gt; #include&lt;cstring&gt; #include&lt;algorithm&gt; using namespace std; #define maxn 100005 int node[maxn&lt;&lt;2],col[maxn&lt;&lt;2]; void build(int rt,int l,int r) { col[rt]=0,node[rt]			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE4dLAz.html" rel="bookmark">hdu1394 线段树求最小逆序数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				hdu 1394 http://acm.hdu.edu.cn/showproblem.php?pid=1394 用线段树求逆序数,例如要求x的逆序数只需要访问(x+1,n)段有多少个数,就是x的逆序数.还有就是求最小逆序数的时候有个巧妙的想法,当把x放入数组的后面,此时的逆序数应该为x没放入最后面之前的逆序总数加上(n-x)再减去(x-1):sum = sum+(n-x[i])-(x[i]-1). 线段树 #include&lt;cstdio&gt; #include&lt;algorithm&gt; #			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z72Oxdp.html" rel="bookmark">线段树和RMQ解析和模板</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这几天在看RMQ的题目,但是很多RMQ的题目也可以用线段树解决... 看来两者之间有很多关系,那就都好好看吧...下面先贴出一个大牛对两者的解释.. RMQ (Range Minimum/Maximum Query)问题是指: 对于长度为n的数列A,回答若干询问RMQ(A,i,j)(i,j&lt;=n),返回数列A中下标在[i,j]里的最小(大)值,也就是说,RMQ问题是指求区间最值的问题  主要方法及复杂度(处理复杂度和查询复杂度)如下:  1.朴素(即搜索) O(n)-O(n)  2.线段树(se			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOaOD9M.html" rel="bookmark">线段树&lpar;Segment Tree&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.概述 线段树,也叫区间树,是一个完全二叉树,它在各个节点保存一条线段(即&quot;子数组&quot;),因而常用于解决数列维护问题,基本能保证每个操作的复杂度为O(lgN). 线段树是一种二叉搜索树,与区间树相似,它将一个区间划分成一些单元区间,每个单元区间对应线段树中的一个叶结点. 对于线段树中的每一个非叶子节点[a,b],它的左儿子表示的区间为[a,(a+b)/2],右儿子表示的区间为[(a+b)/2+1,b].因此线段树是平衡二叉树,最后的子节点数目为N,即整个线段区间的长度. 使用线段树可以			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxWkaBb.html" rel="bookmark">POJ 3468 线段树 区间更新区间查询</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题意:给出一段数列,任意区间加上一个整数v,任意区间查询.给出N个数,Q次操作. 线段树的题,延迟指针不更新到底就行了. #include &lt;iostream&gt; #include&lt;cstdio&gt; #include&lt;cstring&gt; #include&lt;algorithm&gt; using namespace std; #define maxn 100005 long long sum[maxn&lt;&lt;2],col[maxn&lt;&lt;2]; void			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVN06lz.html" rel="bookmark">c&plus;&plus;-帮我看一下这段线段树的代码应该怎么用？有问题吗？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 帮我看一下这段线段树的代码应该怎么用?有问题吗? #include#define MAXN 10005struct node{ int left; int right; int mid; int cover;};node SegTree[3*MAXN];void BuildSegTree(int lint rint num){ SegTree[num].left=l; SegTree[num].right=r; SegTree[num].mid=(l+r)/2; if(l+1!=r)			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRy4Gb.html" rel="bookmark" class="title">Firefox的12个基本使用技巧</a>
					<div>
						Firefox是现在非常流行的一款浏览器,在全世界各地都有很多的粉丝,好像用Firefox取代IE浏览器成了某种时尚.Firefox有很多与IE 的不同之处,不知道下面要跟大家分享的内容各位粉丝们是不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPJ1vb.html" rel="bookmark" class="title">使用ASP&period;NET开发邮件发送系统</a>
					<div>
						asp.net|发邮件 如今,随着Internet的迅速发展,许多企业都纷纷架构起自己的网站,用来开展企业的电子商务活动,如发布.管理企业自己的供求信息:发展和管理企业的会员等.除了这些以外,还有一点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPa6lz.html" rel="bookmark" class="title">PhotoShop网页设计制作教程&colon;美食blog网站首页</a>
					<div>
						本教程教我们用PhotoShop设计制作一个美食blog网页效果. 这个网页最大的特色在于,底部使用了桌布的图案,感觉有点居家的气氛.再搭配上简洁的布局,好似一个家的感觉. 先看效果图: 1.新建一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bow2Vb.html" rel="bookmark" class="title">Adobe CS3系列初探密之Dreamweaver CS3</a>
					<div>
						作为网页设计工具,Dreamweaver和GoLive相比之下,Dreamweaver的性能似乎更胜一筹.Dreamweaver 8发布至今已有两年之久了,其性能已基本上能够满足设计行业的需要. Dr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp84J9p.html" rel="bookmark" class="title">3Dsmax制作&OpenCurlyDoubleQuote;中国风&rdquo;概念跑车</a>
					<div>
						使用软件:3Dsmax.Vray.Photoshop 这是我最近做的一个概念设计 --用中国传统元素做的一辆&quot;中国风&quot;的概念跑车:车 的脸部造型我吸纳了孙悟空的脸谱纹路,车门让它长 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yyeBz.html" rel="bookmark" class="title">ASP&period;NET MVC中的ActionFilter是如何执行的？</a>
					<div>
						在ASP.NET MVC中的四大筛选器(Filter),ActionFilter直接应用在某个Action方法上,它在目标Action方法执行前后对调用进行拦截以执行一些额外的操作.这是一种典型的AO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91g7dM.html" rel="bookmark" class="title">Win7系统登陆用户头像图标的方法</a>
					<div>
						  步骤/方法 1.在桌面直接用鼠标右键单击,选择&quot;个性化&quot;. 2.然后在左边,选择&quot;更改账户图片&quot;. 3.然后选中一张喜欢的图片,点击右下角的&quot;更改 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxQxKb.html" rel="bookmark" class="title">Photoshop给草地上的人物照加上蓝色调技巧</a>
					<div>
						图片有点偏暗,人物部分不够突出.处理的时候可以考虑把暗部颜色转为蓝色或蓝紫色,再把整体稍微调亮,高光部分增加一点淡蓝色即可. 原图 &lt;点小图查看大图&gt; 最终效果 1.打开素材图片,创建可选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Axomp.html" rel="bookmark" class="title">css伪类伪元素域高级选择器的介绍</a>
					<div>
						 给链接定义样式 a:link 表示尚未访问的链接,鼠标未划过和点击 a:visited 表示已经访问的链接 a:hover 表示鼠标划入的链接 a:active 表示激活的链接,也就是鼠标点击链接的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaQXZz.html" rel="bookmark" class="title">笔记本win7系统任务栏中的输入法图标和桌面不见了如何解决</a>
					<div>
						  故障未发生之前的win7系统任务栏界面图: 故障发生后的win7系统任务栏界面图: 解决方案: 首先鼠标右击任务栏的空白处,然后选择工具栏,在工具的下拉菜单中,勾选&quot;桌面(D)&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72qKrp.html" rel="bookmark" class="title">vhd系统备份还原图文</a>
					<div>
						  秒备份: 1.打开优盘,找到win8.vhd或win8.vhdx改名为win8parent.vhd或win8parent.vhdx 2.打开BOOTICE,在磁盘镜像处理标签下 ,点击差分VHD按 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6e41Nb.html" rel="bookmark" class="title">自定义封装Logger demo 小测试</a>
					<div>
						1&gt;  log4j.properties 文件: log4j.rootLogger=DEBUG,MINA,file ### 控制台 ### log4j.appender.stdout = org ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YvXkM.html" rel="bookmark" class="title">vb与s7 300通讯-VB与西门子s7-300通讯，提示w95&lowbar;s7&period;dll未找到</a>
					<div>
						问题描述 VB与西门子s7-300通讯,提示w95_s7.dll未找到 Option Explicit Public Declare Function load_tool Lib &quot;w95_ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2oxXb.html" rel="bookmark" class="title">android执行安装命令时，怎么弹出安装界面，不要静默安装！</a>
					<div>
						问题描述 android执行安装命令时,怎么弹出安装界面,不要静默安装! 静默安装没有用户体验,有点怪异! 我的pad执行pm install -r 时不弹出安装界面,但是我的手机可以弹出. 怎么在执 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6Z5qz.html" rel="bookmark" class="title">百度地图API 小区等标注不可触碰</a>
					<div>
						问题描述 百度地图API 小区等标注不可触碰 这是正常显示的,鼠标触碰后 是这个样子的,怎么样才能不让这些标注被触碰 解决方案 // 删除标注 function removeMarker(){ var ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrQl5M.html" rel="bookmark" class="title">C&plus;&plus;编程规范之17：避免使用&OpenCurlyDoubleQuote;魔数&rdquo;</a>
					<div>
						摘要:     程序设计并非魔术,所以不要故弄玄虚,要避免在代码中使用诸如42和3.1415926这样的文字常量.它们本身没有提供任何说明,并且因为增加了难于检测的重复而使维护更加复杂.可以用符号名称 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW29rEb.html" rel="bookmark" class="title">有挑战的问题：如何将IIS6&period;0里面的一些网站或者程序池设成64位，另一些设成32位</a>
					<div>
						问题描述 有挑战的问题:如何将IIS6.0里面的一些网站或者程序池设成64位,另一些设成32位.也就是说,要让一个IIS6.0里面32位和64位的并存.IIS的说明书里面的这种方式cscript%SY ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEqywp.html" rel="bookmark" class="title">struts返回json数据后，还能在页面上用S标签迭代吗</a>
					<div>
						问题描述 struts返回json数据后,还能在页面上用S标签迭代吗 如果不是返回json的话,我就可以用等标签来绑定数据.但是如果返回的是json的 话,感觉S标签就废掉了...请问还有方法可以再用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDyodz.html" rel="bookmark" class="title">今天遇到面试题。求大神帮助下！对于代码的安全性有什么办法解决？？&sol;&sol;&quest;？？？？？？？？？</a>
					<div>
						问题描述 今天遇到面试题.求大神帮助下!对于代码的安全性有什么办法解决??//?????????? 今天遇到面试题.求大神帮助下!对于代码的安全性有什么办法解决??//???????????????? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AEOBz.html" rel="bookmark" class="title">菜鸟提问，jsp连接sql server 2005报无法打开登录所请求的数据库</a>
					<div>
						问题描述 我在项目里加入了jdbc驱动,也配置了CLASSPATHE:eclipseMicrosoftSQLServer2005JDBCDriversqljdbc_1.0chssqljdbc.jarj ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEmxlM.html" rel="bookmark" class="title">开源中国 CEO 马越&colon;互联网繁荣造就火爆的开源</a>
					<div>
						开源技术迅猛发展,具有代表性的是OpenStack.Hadoop.Cloud Foundry等开源项目.我们基于企业级开源市场的发展,探究开源技术与企业级市场的最佳结合点,邀请开源社区的代表.云计算提 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqR08Zp.html" rel="bookmark" class="title">自动生成静态页功能</a>
					<div>
						问题描述 我们的网站上新闻页是生成静态页的,但我是在后台有个按钮控制生成静态页,我想实现我们的网站自动生成静态页,不用每天都去点那个按钮去生成.比如说,我想让网站在凌晨1点的时候自动去将新闻页生成静态 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrX9oWz.html" rel="bookmark" class="title">汉语 汉字 笔顺 动画-开发老外学汉语项目，遇到汉字书写难题</a>
					<div>
						问题描述 开发老外学汉语项目,遇到汉字书写难题 在这个项目中涉及教老外学写汉字模块,一个是汉字自动播放笔顺动画,在就是根据动画自己书写,到底该怎么实现啊,大神有建议吗??					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZVwop.html" rel="bookmark" class="title">Sql Server之旅&mdash;&mdash;第五站 确实不得不说的DBCC命令&lpar;文后附年会福利&rpar;</a>
					<div>
						一:DBCC 1:什么是DBCC 我不是教学老师,我也说不到没有任何无懈可击的定义,全名:Database Console Commands.顾名思义&quot;数据库控制台命令&quot;,说到&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xKXKb.html" rel="bookmark" class="title">java-请问一下，为什么后者的执行时间比前者的更长？</a>
					<div>
						问题描述 请问一下,为什么后者的执行时间比前者的更长? public class For_Test { public static void main(String[] args) { List li ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkoeDM.html" rel="bookmark" class="title">我的Android进阶之旅------&amp;amp&semi;gt&semi;如何解决Android 5&period;0中出现的警告： Service Intent must be explicit&colon;</a>
					<div>
						我的Android进阶之旅--&gt;如何解决Android 5.0中出现的警告: java.lang.IllegalArgumentException: Service Intent must be ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkqEKz.html" rel="bookmark" class="title">使用Python的Zato发送AMQP消息的教程&lowbar;python</a>
					<div>
						本 帮助主题 展示了使用Zato发送AMQP消息 所 需的内容. Zato 基于Python 的 为 SOA . 云 集成 和 后端 服务 的 企业服务总线(ESB) . 代码演示 下面是一些需要的代 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Nd4Az.html" rel="bookmark" class="title">Javascript C&num;真正可以交互的DES加解密代码&lowbar;实用技巧</a>
					<div>
						因项目需要,要用js加密后,提交给C#解密, 在网上找了半天,网上有无数个版本,却找不到一个能互相使用的 甚至就连都是js版本的,都不能互通,汗一个. 因为时间关系,没有去深究加密代码,就随便下载了一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2NEmM.html" rel="bookmark" class="title">JavaScript中数组对象的那些自带方法介绍&lowbar;javascript技巧</a>
					<div>
						/** * 本文纯粹是梳理一下目前W3C标准中Array对象的自带Method. * 全文没啥营养,不过最后性能测试的部分,倒是抛出了一些疑问. */ 赋值方法 (Mutator methods) 这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0RXEz.html" rel="bookmark" class="title">物流代收款导入</a>
					<div>
						问题描述 在公司遇到一个头痛的问题.在做一个ERP电子商务系统.物流代收款导入功能,物流公司将物流数据传到EXCEL文件,系统将文件导入数据库.我们应该要知道物流传那些数据字段.系统要显示那些字段.老 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
